Subject: RE: [NSIS] New Draft: NSIS Signaling Protocols in Multihomed MobileNetworks

From: "Suwon Lee" <[email-masked]>
Date: Tue, 2 Aug 2005 23:23:15 +0900

Hi John,

Thanks a lot for your review, comments, and suggestions.
Please refer to my response in line.

Thanks,

Suwon

>------- Original Message -------
>Sender : [email-masked]<[email-masked]> 
>Date   : 2005-07-30 18:03
>Title  : RE: [NSIS] New Draft: NSIS Signaling Protocols in Multihomed
> MobileNetworks
>
>Hi Suwon,
>
>Thanks for that draft.  This is quite a useful draft, so I hope we can have
>some discussion on it.  When reading, I wanted to comment on a few things.

Thank you. I hope this draft would be helpful for the design of NSIS 
protocols.

>
>In the intro:
>
> "Multihoming refers to a situation where an end node has several
> parallel communication paths to use."
>
>I think I'd modify this definition a bit.  RFC 3582 has a definition
>for site-multihoming, so you might want to reference this.  If we want
>to talk about host-multihoming, it usually refers to a host that
>has multiple, active (or potentially active) interfaces connected
>to different subnets which then implies multiple communication paths.
>

I agree with your opinion. The definition of multihoming in RFC 3582 
will be added in the next version. In the current version of this draft, 
multihoming is considered only for mobile environment but it could 
also be applicable to fixed environment. The site-multihoming case 
will be considered in future version. 

>Also, in the intro, I think I wouldn't want to explain why hosts / users /
>networks might want to be multihomed (i.e. - the advantages of multihoming)
>but rather discuss the implications of multihoming.  Multihoming has interesting
>implications for path-oriented signaling, and path-oriented signaling can
>bring benefits for a multihomed host.  For example, a host might have both an
>active 802.11 interface and WCDMA interface.  If the 802.11 interface might be behind 
>a slow DSL line, making the network path on the WCDMA interface 'better'.  If the host 
>has only knowledge about the link conditions, it will not know enough about the path 
>conditions to make an informed decision about which interface (and by extention, which
>path) is 'better'.
>

I definitely agree with your opinion on the implication of multihoming for 
path-oriented signaling. Though this is not explicitly described in the draft, 
we identified the feature and meant to emphasize the significance of having 
multiple paths with full knowledge. We would explicitly mention this in the 
next version of the draft. 

>In section 3, Problem Statement, "Registration of Multiple CoAs" might not really
>be in-scope of NSIS.

I agree. Though multiple CoA registration is one of the most urgent probems 
to be solved in multihoming in mobile environment, this is not NSIS-specific 
problem. Thus the draft will not provide any solution for this. 

>
>I think quite a bit of section 4, which is good, seems to be quite closely related
>to the Mobility Applicability statement.  Does the group feel like it would be useful
>to capture this information in that document?

In my opinion, some parts of the draft would fit with the Mobility 
Applicability Statement draft so that they might be moved into that draft. 
However, the multihoming in fixed environment that would be dealt with in the 
future version would not filt well with the Mobility Applicability draft. In addition, 
multihoming itself has a lot of issues to be tackled (e.g., site-multihoming scenarios). 
So, in my opinion, to keep the consistency of problems and solutions it would be 
better to handle the multihoming-related issues in a separated document.  

>
>thanks,
>John
>
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]]On Behalf Of
>> ext Suwon Lee
>> Sent: 14 July, 2005 06:46
>> To: [email-masked]
>> Subject: [NSIS] New Draft: NSIS Signaling Protocols in Multihomed
>> MobileNetworks
>> 
>> 
>> Dear All, 
>> 
>> We would like to address that a new draft "NSIS Signaling 
>> Protocols in 
>> Multihomed Mobile Networks" was submitted.
>> ( 
>> http://www.ietf.org/internet-drafts/draft-lee-nsis-multihoming
>> -mobility-00.txt )
>> We would appreciate it if you would review and comment on the draft.
>> 
>> The draft deals with:
>> - Possible issues on NSIS signaling in the multihomed environments
>>   - NSIS operations in multihomed networks
>>   - Receiver-initiated reservation
>>   - Sender-initiated reservation
>> - NSIS Applicability in multihomed scenarios
>>   - Link/node failure
>>   - Load balancing
>>   - Load sharing
>> 
>> Abstract:
>> A host that is an initiator or responder of NSIS signaling 
>> messages can be not 
>> only mobile but also multihomed.  Multihomed hosts and 
>> scenarios may be common
>> in the future IPv6-based Internet.  Benefits of multihoming 
>> include increased 
>> bandwidth, load balancing, load sharing, ubiquitous access, 
>> bi-casting, 
>> resilience, and etc.  NSIS signaling should be able to 
>> support various 
>> multihoming scenarios. This draft describes NSIS operations 
>> and applicability 
>> in multihomed environments.
>> 
>> Regards,
>> 
>> Suwon Lee
>> 
>> _______________________________________________
>> nsis mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/nsis
>>

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis